# Class GssUtility

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.gssapi.GssUtility

public class GssUtility extends Object

## Constructor Summary

Constructors
Constructor
Description
`GssUtility()`

## Method Summary

Modifier and Type
Method
Description
`static GssapiAuth`
`getAuthenticationMethod()`
Get authentication method according to classpath.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GssUtility

public GssUtility()

## Method Details

### getAuthenticationMethod

public static GssapiAuth getAuthenticationMethod()
Get authentication method according to classpath. Windows native authentication is using Waffle-jna.

Returns:
  authentication method